<!--- Retrieve a count of the number of employees for each department in 
      the EmployeeDirectory table of the database where the total number
      of employees is greater than or equal to two. --->
<CFQUERY NAME="GetDepartment" DATASOURCE="ProgrammingCF">
         SELECT COUNT(Name) AS TotalEmployees,
                Department
         FROM EmployeeDirectory
         GROUP BY Department
         HAVING COUNT(Name) >= 2
</CFQUERY>

<H3>Using COUNT, GROUP BY, and HAVING to return the Total Number of Employees 
    for each Department where the total number of employees is greater than or 
    equal to two </H3>
<TABLE BORDER="0" CELLPADDING="3">
<TR BGCOLOR="#C0C0C0">
  <TH>Department</TH>
  <TH>Total Employees</TH>
</TR>

<CFOUTPUT QUERY="GetDepartment">
<TR BGCOLOR="##E3E3E3">
  <TD>#Department#</TD>
  <TD>#TotalEmployees#</TD>
</TR>
</CFOUTPUT>
</TABLE>
