<!--- put the entire EmployeeDirectory table into memory --->
<CFQUERY NAME="GetAll" DATASOURCE="ProgrammingCF">
SELECT *
FROM EmployeeDirectory
</CFQUERY>


<!--- Use CFSQL to retrieve a count of the number of employees for each 
      department in the EmployeeDirectory table of the database --->
<CFQUERY NAME="GetDepartmentSummary" DBTYPE="query">
         SELECT COUNT(Name) AS TotalEmployees,
                Department
         FROM GetAll
         GROUP BY Department
         ORDER BY Department
</CFQUERY>

<H3>Total Number of Employees for 
    each Department</H3>
<TABLE BORDER="0" CELLPADDING="3">
<TR BGCOLOR="#C0C0C0">
  <TH>Department</TH>
  <TH>Total Employees</TH>
</TR>

<CFOUTPUT QUERY="GetDepartmentSummary">
<TR BGCOLOR="##E3E3E3">
  <TD>#Department#</TD>
  <TD>#TotalEmployees#</TD>
</TR>
</CFOUTPUT>
</TABLE>
