<!--- retrieve a list of employee names from the employeedirectory table --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT Name
         FROM EmployeeDirectory
         ORDER BY Name
</CFQUERY>

<H2>Two column output sorted left to right</H2>
<!--- initialize the STARTNEWROW variable as True --->
<CFSET StartNewRow = True>

<!--- The CFPROCESSING tag suppresses extra whitespace as much as possible.  
      To remove the max amount of whitespace, remove these comments as 
      well. --->
<TABLE>
<CFPROCESSINGDIRECTIVE SUPPRESSWHITESPACE="Yes">
<CFOUTPUT QUERY="GetEmployeeInfo">
<!--- Add a TR if we are supposed to start a new row.  Otherwise, continue
      adding TDs --->
<CFIF StartNewRow IS True><TR></CFIF>
  <TD>#Name#</TD>
<!--- set STARTNEWROW to the opposite of its currnet True/False value --->
<CFSET StartNewRow = NOT(StartNewRow)>
<!--- if STARTNEWROW is True, add a /TR to close the row --->
<CFIF StartNewRow IS True>
  </TR>
</CFIF>
</CFOUTPUT>
</CFPROCESSINGDIRECTIVE>
</TABLE>
