<!--- open the FTP connection --->
<CFLOCK SCOPE="Session" TYPE="Exclusive" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Open"
       USERNAME="anonymous"
       CONNECTION="MyConnection"
       PASSWORD="username@domain.com"
       SERVER="ftp.microsoft.com"
       STOPONERROR="Yes">
</CFLOCK>

<P>
<B>Connection opened</B>

<!--- Get the file called DISCLAIMER.txt from the root directory of the 
      Microsoft FTP site and download it to a temp directory on the
      ColdFusion server --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="GetFile"
       TRANSFERMODE="Auto"
       STOPONERROR="No"
       REMOTEFILE="DISCLAIMER.TXT"
       LOCALFILE="d:\temp\disclaimer.txt"
       CONNECTION="MyConnection">
</CFLOCK>

<P>
<CFIF CFFTP.Succeeded>
    <B>File successfully downloaded!</B>
<CFELSE>
    <B>The following error occurred while attempting to download the file:</B><BR>
    <CFOUTPUT>
    <B><I>Error number #CFFTP.ErrorCode#: #CFFTP.ErrorText#</I></B>
    </CFOUTPUT>
</CFIF> 


<!--- close the ftp connection --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Close"
       CONNECTION="MyConnection"
       STOPONERROR="Yes">
</CFLOCK>

<P>
<B>Connection closed.</B>
