<!--- Use CFLDAP to query bigfoot.com for people named Tom Jones --->
<CFLDAP
    SERVER="ldap.bigfoot.com" ACTION="QUERY" NAME="MyQuery"
    START="cn=tom jones,c=US" FILTER="(cn=tom jones),(c=US)"
    ATTRIBUTES="dn,cn,o,mail" SORT="cn ASC">

<!--- populate the ldap_test collection with the results of the CFLDAP
      query --->
<CFLOCK NAME="CFINDEX_Lock" TYPE="EXCLUSIVE" TIMEOUT="30">
  <CFINDEX ACTION="refresh" COLLECTION="LDAP_Test" KEY="dn"
      TYPE="custom" TITLE="cn" BODY="cn,o,mail" QUERY="MyQuery">
</CFLOCK>

<CENTER>
  <H2>Done Indexing the LDAP Query</H2>
</CENTER>
