<!--- attempt to output all of the variables set in the calling template.  If a
      variable is not accessible to the custom tag, note it.  In addition, 
      output the attribute variable and set a caller and another request 
      variable --->
<H2>Output from inside the custom tag...</H2>
<CFOUTPUT>
<TABLE BORDER="1">
<TR>
  <TH>Variable</TH><TH>Value</TH>
</TR>
<TR>
  <TD>Attribute Variable:</TD><TD>#Attributes.AttributeVariable#</TD>
</TR>
<TR>
  <TD>Application Variable:</TD>
  <TD><CFIF IsDefined('Application.ApplicationVariable')>
        #Application.ApplicationVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Query Variable:</TD>
  <TD><CFIF IsDefined('QueryVariable.Text')>#QueryVariable.Text#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Session Variable:</TD>
  <TD><CFIF IsDefined('Session.SesssionVariable')>#Session.SesssionVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Client Variable:</TD>
  <TD><CFIF IsDefined('Client.ClientVariable')>#Client.ClientVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Server Variable:</TD>
  <TD><CFIF IsDefined('Server.ServerVariable')>#Server.ServerVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Local Variable:</TD>
  <TD><CFIF IsDefined('Variables.LocalVariable')>#Variables.LocalVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Form Variable:</TD>
  <TD><CFIF IsDefined('Form.FormVariable')>#Form.FormVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Cookie Variable:</TD>
  <TD><CFIF IsDefined('Cookie.CookieVariable')>#Cookie.CookieVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>CGI Variable:</TD>
  <TD><CFIF IsDefined('CGI.HTTP_USER_AGENT')>#CGI.HTTP_USER_AGENT#
      <CFELSE><B>Not Available</B></CFIF>
</TD>    
</TR>
<TR>
  <TD>Request Variable:</TD>
  <TD><CFIF IsDefined('Request.RequestVariable')>#Request.RequestVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
</TABLE>
</CFOUTPUT>

<!--- create a variable to hold a query object --->
<CFSET Tag_QueryVariable = QueryNew("Text")>
<CFSET NewRows  = QueryAddRow(Tag_QueryVariable, 1)>
<CFSET temp = QuerySetCell(Tag_QueryVariable, "Text", "I am a Query 
              variable", 1)>

<!--- create variables within the scope of the custom tag to see which ones
      are available back in the calling template --->
<CFSET Application.Tag_ApplicationVariable = "I am an Application variable">
<CFSET Session.Tag_SesssionVariable = "I am a Session variable">
<CFSET Client.Tag_ClientVariable = "I am a Client variable">
<CFSET Server.Tag_ServerVariable = "I am a Server variable">
<CFSET Variables.Tag_LocalVariable = "I am a Local variable">
<CFSET Form.Tag_FormVariable = "I am a Form variable">
<CFSET URL.Tag_URLVariable = "I am a URL variable">
<CFCOOKIE NAME="Tag_CookieVariable" VALUE="I am a Cookie variable">
<CFSET Request.Tag_RequestVariable = "I am a Request variable">

<!--- create a Caller variable --->
<CFSET "Caller.#Attributes.OutVar#" = "I am a Caller variable">
