<!--- create a two dimensional array of student grades.  Each student 
     (represented by the first dimension has grades for more than one test 
     (represented by the second dimension). --->
<CFSET GRADES = ARRAYNEW(2)>

<CFSET GRADES[1][1] = 95>
<CFSET GRADES[1][2] = 93>
<CFSET GRADES[1][3] = 87>
<CFSET GRADES[2][1] = 100>
<CFSET GRADES[2][2] = 74>
<CFSET GRADES[2][3] = 86>
<CFSET GRADES[3][1] = 90>
<CFSET GRADES[3][2] = 94>
<CFSET GRADES[3][3] = 96>

<!--- serialize the grades array to a wddx packet --->
<CFWDDX ACTION="CFML2WDDX" INPUT="#Grades#" OUTPUT="GradesArray">

<!--- output the wddx packet in a text area so you can see the entire packet --->
<H3>WDDX Packet Containing A Two-dimensional Array</H3>
<FORM>
<CFOUTPUT>
<TEXTAREA ROWS="8" COLS="80" WRAP="virtual">#HTMLEditFormat(GradesArray)#
</TEXTAREA>
</CFOUTPUT>
</FORM>

<!--- deserialize the gradesarray wddx packet back to an array --->
<CFWDDX ACTION="WDDX2CFML" INPUT="#GradesArray#" OUTPUT="DeserializedArray">

<H3>Here Are The Deserialized Grades:</H3>        

<!--- this looping technique utilizes an outer and an inner loop (designated o
      and i respectively) for looping through each element in each dimension of
      the array --->
<CFLOOP INDEX="o" FROM="1" TO="#ArrayLen(DeserializedArray)#">
<CFLOOP INDEX="i" FROM="1" TO="#ArrayLen(DeserializedArray[o])#">
<CFOUTPUT>
Student #o#, Grade #i#: #DeserializedArray[o][i]#<BR>
</CFOUTPUT>
</CFLOOP>
</CFLOOP>
