<!--- check to see that passwords match in case the user had JavaScript
      disabled --->
<CFIF Form.Password NEQ Form.Password2>
  The passwords you entered on the login screen do not match.  Please 
  hit your browser's back button and try again.
  <CFABORT>
</CFIF>  

<!--- check to make sure the username (the primary key) doesn't already 
      exist. If it does, make the user go back and enter a different
      username --->
<CFQUERY NAME="CheckPK" DATASOURCE="ProgrammingCF" DBTYPE="ODBC">
    SELECT Username FROM Users WHERE Username = '#Form.Username#'
</CFQUERY>
<CFIF CheckPK.RecordCount GT 0>
  <CFLOCATION URL="RegistrationForm.cfm?Message=#URLEncodedFormat("The
              username you chose already exists, please choose a different
              username.")#&FullName=#URLEncodedFormat(FullName)#">
</CFIF>    

<!--- insert the user profile, into the database.  Note that the 
      password is hashed using the HASH function --->
<CFQUERY NAME="AddUser" DATASOURCE="ProgrammingCF" DBTYPE="ODBC">
         INSERT INTO Users(FullName, Username, Password)
         VALUES('#Form.FullName#', '#Form.Username#', 
                '#Hash(Form.Password)#')
</CFQUERY>

<CFLOCATION URL="login.cfm?Message=#URLEncodedFormat("Profile successfully
                 created. Please login below")#">
