<!--- Select the name, title, email, and phone ext for each employee in
      the EmployeeDirectory table that belongs to the IT department and  
      use it to populate a new table called ITDirectory --->
<CFQUERY NAME="MakeITDirectory" DATASOURCE="ProgrammingCF">
         SELECT Name, Title, Email, PhoneExt
         INTO ITDirectory
         FROM EmployeeDirectory
         WHERE Department = 'IT'
</CFQUERY>

<!--- retrieve all of the records from the ITDirectory table we just 
      created --->
<CFQUERY NAME="GetEmployees" DATASOURCE="ProgrammingCF">
         SELECT Name, Title, Email, PhoneExt
         FROM ITDirectory
         ORDER BY Name
</CFQUERY>

<H2>ITDirectorty table successfully created and populated with data:</H2>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>E-mail</TH>
  <TH>Phone Ext.</TH>
</TR>

<!--- dynamically generate a table containing all of the records returned 
      by the query --->
<CFOUTPUT QUERY="GetEmployees">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Title#</TD>
  <TD>#Email#</TD>
  <TD>#PhoneExt#</TD>
</TR>
</CFOUTPUT>
</TABLE>
