<!--- retrieve all records from the database.  Provide aliases for some of the
      field names.  Note that the Name field (not the alias) is used in the SORT 
      BY clause. --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT Name AS EmployeeName, Title, Department, 
                Email AS EmailAddress, PhoneExt AS PhoneExtension
         FROM EmployeeDirectory
         ORDER BY Name
</CFQUERY>

<H3>Using Column Aliases</H3>
<!--- create an HTML table for outputting the query results.  This section 
      creates the first row of the table - used to hold the column 
      headers --->
<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
    <TH>Employee Name</TH>
    <TH>Title</TH>
    <TH>Department</TH>
    <TH>E-mail Address</TH>
    <TH>Phone Extension</TH>
</TR>

<!--- Output the query results. Use the new field names to refer to the
      aliases column names. --->     
<CFOUTPUT QUERY="GetEmployeeInfo">
<TR BGCOLOR="##C0C0C0">
   <TD>#EmployeeName#</TD>
   <TD>#Title#</TD>
   <TD>#Department#</TD>
   <TD><A HREF="Mailto:#EmailAddress#">#EmailAddress#</A></TD>
   <TD>#PhoneExtension#</TD>
</TR>    
</CFOUTPUT>
</TABLE>
