<!--- use the CFTRANSACTION tag to ensure that both queries are treated
      as a single transaction.  If either query fails, any changes made
      are automatically rolled back --->
<CFTRANSACTION>
<!--- delete an employee from the EmployeeDirectory table where the 
      employee's ID is equal to the ID value passed in as a form var --->
<CFQUERY NAME="DeleteEmployee" DATASOURCE="ProgrammingCF">
       DELETE FROM EmployeeDirectory
       WHERE ID = #Form.ID#
</CFQUERY>

<!--- delete any entries for the employee from the IncentiveAwards table.
      This table is described later in the chapter. --->
<CFQUERY NAME="DeleteBonusRecords" DATASOURCE="ProgrammingCF">
       DELETE FROM IncentiveAwards
       WHERE ID = #Form.ID#
</CFQUERY>
</CFTRANSACTION>
