<!--- open the FTP connection --->
<CFLOCK SCOPE="Session" TYPE="Exclusive" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Open"
       SERVER="ftp.microsoft.com"
       USERNAME="anonymous"
       PASSWORD="YourEmailAddress@yourdomain.com"
       CONNECTION="Session.MyConnection"
       STOPONERROR="No">
</CFLOCK>

<!--- if there is an error, display it to the user and stop processing the
      template  --->
<CFIF NOT CFFTP.Succeeded>
   Connection aborted!<BR>
   <CFOUTPUT>
      Error number #CFFTP.ErrorCode#: #CFFTP.ErrorText#
   </CFOUTPUT>
   <CFABORT>
</CFIF>
<B>Connection opened successfully!</B><BR>
<B><I>Directories and files at:  ftp.microsoft.com</I></B>

<!--- get a list of the files and directories in the current directory --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="ListDir"
       STOPONERROR="No"
       NAME="ListFiles"
       DIRECTORY="/"
       CONNECTION="Session.MyConnection">
</CFLOCK>

<!--- if there is an error, display it to the user and stop processing --->
<CFIF NOT CFFTP.Succeeded>
   Connection aborted!<BR>
   <CFOUTPUT>
      Error number #CFFTP.ErrorCode#: #CFFTP.ErrorText#
    </CFOUTPUT>
   <CFABORT>
</CFIF>

<!--- build a table of the directory contents --->
<P>
<TABLE BORDER="0" CELLSPACING="1" CELLPADDING="3"> 
<TR BGCOLOR="#0000FF">
   <TH><FONT COLOR="#FFFFFF">Name</FONT></TH>
   <TH><FONT COLOR="#FFFFFF">Path</FONT></TH>
   <TH><FONT COLOR="#FFFFFF">URL</FONT></TH>
   <TH><FONT COLOR="#FFFFFF">Length</FONT></TH>
   <TH><FONT COLOR="#FFFFFF">Last Modified</FONT></TH>
   <TH><FONT COLOR="#FFFFFF">Directory or File</FONT></TH>
   <TH><FONT COLOR="#FFFFFF">Attributes</FONT></TH>
</TR>

<CFOUTPUT QUERY="ListFiles">
<TR BGCOLOR="##c0c0c0">
   <TD>#name#</TD>   
   <TD>#path#</TD>
   <TD>#url#</TD>
   <TD>#length#</TD>
   <TD>#DateFormat(lastmodified,'mm/dd/yyyy')#</TD>
   <TD><CFIF #isdirectory#>Directory<CFELSE>File</CFIF></TD> 
   <TD>#Attributes#</TD>
</TR>
</CFOUTPUT>
</TABLE>

<!--- close the ftp connection --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Close"
       CONNECTION="Session.MyConnection"
       STOPONERROR="No">
</CFLOCK>

<!--- if there is an error, display it to the user and stop processing --->
<CFIF NOT CFFTP.Succeeded>
   Connection aborted!<BR>
   <CFOUTPUT>
      Error number #CFFTP.ErrorCode#: #CFFTP.ErrorText#
   </CFOUTPUT>
   <CFABORT>
<CFELSE>
   <B>Connection closed successfully!</B>
</CFIF>
