<!--- open the FTP connection --->
<CFLOCK SCOPE="Session" TYPE="Exclusive" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Open"
       USERNAME="myusername"
       CONNECTION="MyConnection"
       PASSWORD="mypassword"
       SERVER="127.0.0.1"
       STOPONERROR="Yes">
</CFLOCK>

<P>
<B>Connection opened</B>

<!--- take the file from the ColdFusion server and upload it via FTP to the
      remote machine.  put the file in a directory off the root directory
      called incoming. --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">
<CFFTP ACTION="PutFile"
       TRANSFERMODE="AUTO"
       STOPONERROR="No"
       REMOTEFILE="\incoming\myfile.txt"
       LOCALFILE="d:\temp\myfile.txt"
       CONNECTION="MyConnection">
</CFLOCK>

<P>
<CFIF CFFTP.Succeeded>
    <B>File successfully uploaded!</B>
<CFELSE>
    <B>The following error occurred while attempting to upload your file:</B><BR>
    <CFOUTPUT>
    <B><I>Error number #CFFTP.ErrorCode#: #CFFTP.ErrorText#</I></B>
    </CFOUTPUT>
</CFIF> 


<!--- close the ftp connection --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Close"
       CONNECTION="MyConnection"
       STOPONERROR="Yes">
</CFLOCK>

<P>
<B>Connection closed.</B>
