<!--- Use CFHTTP GET to grab the delimited text file.  Assume that the comma
      is the delimiter and there is no text qualifier --->
<CFHTTP METHOD="GET"
    URL="http://127.0.0.1/examples/chapter14/textfile.txt"
    NAME="MyQuery" DELIMITER="," TEXTQUALIFIER=" ">

<!--- build an HTML table with the column headers parsed from the first line
      of the delimited text file --->
<TABLE BORDER="0" CELLPADDING="3">
<TR>
<!--- Dynamically build the column headers by looping through the column
      headers returned in the MyQuery.ColumnList variable --->
<CFLOOP INDEX="ThePosition" FROM="1" TO="#ListLen(MyQuery.ColumnList)#">
  <CFOUTPUT>
    <TH BGCOLOR="##8A8A8A">#ListGetAt(MyQuery.ColumnList, ThePosition)#</TH>
  </CFOUTPUT>
</CFLOOP>
</TR>

<!--- Dynamically build the columns and rows to be output by looping over the
      column names listed in the MyQuery.ColumnList variable.  The values
      contained in the column headers are extracted using the evaluate 
      function --->
<CFLOOP QUERY="MyQuery">
     <TR>
    <CFLOOP INDEX="ListElement" LIST="#MyQuery.ColumnList#">
        <CFSET ColumnName = "MyQuery.#ListElement#">
        <CFSET ColumnValue = #Evaluate(ColumnName)#>
        <TD BGCOLOR="#C0C0C0"><CFOUTPUT>#ColumnValue#</CFOUTPUT></TD>
    </CFLOOP>
    </TR>
</CFLOOP>
</TABLE>
