<!--- read in the binary file using CFFILE --->
<CFFILE ACTION="ReadBinary" 
        FILE="c:/inetsrv/wwwroot/cfide/administrator/images/coldfusion.gif" 
        VARIABLE="MyBinaryFile">
        
<!--- create a structure to hold descriptive information about the file as well
      as the base64 encoded binary file --->
<CFSET FileInfo = StructNew()>

<CFSET FileInfo.MyBinaryFile = MyBinaryFile>      
<CFSET FileInfo.FileName = "coldfusion.gif"> 
<CFSET FileInfo.MIMEType = "image/gif"> 

<!--- convert the structure to wddx.  The binary is automatically base64 
      encoded --->
<CFWDDX ACTION="CFML2WDDX" INPUT="#FileInfo#" OUTPUT="MyWDDX">

<!--- output the wddx packet in a text area so you can see the entire packet --->
<H3>WDDX Packet Containing Binary Representation of a GIF File</H3>
<FORM>
<CFOUTPUT>
<TEXTAREA ROWS="15" COLS="80" WRAP="virtual">#HTMLEditFormat(MyWDDX)#</TEXTAREA>
</CFOUTPUT>
</FORM>

<!--- deserialize the wddx packet back to a structure --->
<CFWDDX ACTION="WDDX2CFML" INPUT="#MyWDDX#" OUTPUT="DeserializedBinaryFile">

<!--- write the binary object out to a file --->        
<CFFILE ACTION="WRITE" 
        FILE="c:/inetsrv/wwwroot/cfide/administrator/images/         new_#DeserializedBinaryFile.FileName#" 
        OUTPUT="#DeserializedBinaryFile.MyBinaryFile#">

<H3>Here Is The Deserialized Binary:</H3>            
<!--- display the file to to browser.  This could be done using CFCONTENT as
      well, but then you wouldn't be able to see the rest of the content that
      was displayed prior to the CFCONTENT call --->
<CFOUTPUT>      
FileName: #DeserializedBinaryFile.FileName#<BR>
MIME Type: #DeserializedBinaryFile.MIMEType#<BR>
<IMG SRC="/cfide/administrator/images/new_#DeserializedBinaryFile.FileName#">
</CFOUTPUT>
