<!--- set defaults so NULLS don't cause errors --->
<CFPARAM NAME="Form.Task" DEFAULT="">
<CFPARAM NAME="Form.URL" DEFAULT="">
<CFPARAM NAME="Form.StartDate" DEFAULT="">
<CFPARAM NAME="Form.StartTime" DEFAULT="">
<CFPARAM NAME="Form.EndDate" DEFAULT="">
<CFPARAM NAME="Form.EndTime" DEFAULT="">
<CFPARAM NAME="Form.Username" DEFAULT="">
<CFPARAM NAME="Form.Password" DEFAULT="">
<CFPARAM NAME="Form.Interval" DEFAULT="">
<CFPARAM NAME="Form.RequestTimeOut" DEFAULT="">
<CFPARAM NAME="Form.ProxyServer" DEFAULT="">
<CFPARAM NAME="Form.ResolveURL" DEFAULT="No">
<CFPARAM NAME="Form.Publish" DEFAULT="No">
<CFPARAM NAME="Form.File" DEFAULT="">
<CFPARAM NAME="Form.Path" DEFAULT="">
<CFPARAM NAME="Form.HTTPPort" DEFAULT="80">
<CFPARAM NAME="Form.HTTPProxyPort" DEFAULT="80">

<!--- update the scheduled task posted by the edit form.  If this were a 
      production application, we would add code before this call to validate 
      that appropriate values were passed before attempting to update the 
      task. --->
<CFSCHEDULE ACTION="UPDATE" TASK="#Form.Task#" OPERATION="HTTPRequest"
            URL="#Form.URL#" STARTDATE="#DateFormat(Form.StartDate,'mm/dd/yyyy')#"
            STARTTIME="#TimeFormat(Form.StartTime,'HH:mm:ss')#"
            ENDDATE="#DateFormat(Form.EndDate,'mm/dd/yyyy')#"
            ENDTIME="#TimeFormat(Form.EndTime,'HH:mm:ss')#"
            USERNAME="#Form.Username#" PASSWORD="#Form.Password#"
            INTERVAL="#Form.Interval#" REQUESTTIMEOUT="#Form.RequestTimeOut#"
            PROXYSERVER="#Form.ProxyServer#" RESOLVEURL="#Form.ResolveURL#"
            PUBLISH="#Form.Publish#" FILE="#Form.File#" PATH="#Form.Path#"
            PORT="#Form.HTTPPort#" PROXYPORT="#Form.HTTPProxyPort#">

<H3>Task successfully updated</H3>
