<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT EmployeeDirectory.Department, 
                IncentiveAwards.Amount
         FROM EmployeeDirectory, IncentiveAwards
         WHERE EmployeeDirectory.ID = IncentiveAwards.ID
</CFQUERY>

<CFQUERY NAME="GroupIt" DBTYPE="Query">
         SELECT Department, Sum(Amount) AS TheAmount
         FROM GetEmployeeInfo
         GROUP BY Department
</CFQUERY>         


<CFGRAPH TYPE="Pie"
         QUERY="GroupIt"
         VALUECOLUMN="TheAmount"
         ITEMCOLUMN="Department"
         FILEFORMAT="Flash"
         GRAPHHEIGHT="480"
         GRAPHWIDTH="640"
         DEPTH="10"
         TITLE="Total Incentive Awards By Department (In Dollars)"
         TITLEFONT="Arial"
         URL="24-4.cfm?Department="
         URLCOLUMN="Department"
         SHOWLEGEND="Left"
         LEGENDFONT="Arial"
         SHOWVALUELABEL="Yes"
         VALUELABELFONT="Arial"
         VALUELABELSIZE="8"
         VALUELOCATION="outside"
         COLORLIST="Red,Yellow,Pink,Green,Purple,Orange,Blue,Gray,Goldenrod">
</CFGRAPH>     
